package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.app.dto.EvaluationGroupInfo;
import com.lz.modules.flow.entity.StaffRole;
import com.lz.modules.flow.entity.StaffRoleEvaluationGroup;

import java.util.List;

/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/
public interface StaffRoleEvaluationGroupService extends IService<StaffRoleEvaluationGroup> {



	StaffRoleEvaluationGroup selectStaffRoleEvaluationGroupById(Long id);


	Long insertStaffRoleEvaluationGroup(StaffRoleEvaluationGroup staffRoleEvaluationGroup);


	int updateStaffRoleEvaluationGroupById(StaffRoleEvaluationGroup staffRoleEvaluationGroup);


	int updateCoverStaffRoleEvaluationGroupById(StaffRoleEvaluationGroup staffRoleEvaluationGroup);


	int deleteStaffRoleEvaluationGroupById(Long id);

	List<Long> selectEvaluationGroupIdsByRoleId(Long roleId);


    List<EvaluationGroupInfo> selectStaffRoleEvaluationGroupBy(Long id);

    void deleteStaffRoleEvaluationGroupByRoleId(Long roleId);


    List<StaffRoleEvaluationGroup> selectStaffRoleEvaluationsGroupByStaffRoles(List<StaffRole> staffRoles);

	StaffRoleEvaluationGroup selectEvaluationGroupIdsByRoleIdGroupId(Long roleId, Long groupId);

}